Subject: Re: [POWERPC 2/9] spufs: always send sigtrap on breakpoint

From: Arnd Bergmann <[email-masked]>
Date: Tue, 28 Nov 2006 01:29:21 +0100

On Tuesday 28 November 2006 01:12, Luke Browning wrote:
>=20
> Arnd, could you explain this change a little bit more. =A0Don't you have
> to consider whether the program is setup to receive SIGTRAP. =A0We know it
> is code to handle SIGTRAP if it is ptraced. =A0Or, are you asserting that
> at this point the spu has hit a trap instruction? =A0What does 0x3fff
> mean?

0x3fff is indeed the code returned from the breakpoint instruction,
as specified in the JSRE list of stop-and-signal codes. The behaviour
is consistant with that of a Linux process entering a breakpoint.
This usually only happens while ptracing a task, but there is no
reason to treat a task differently when it's not being traced.

It could even be used as well-defined way for an application to
create a core dump, similar to abort() in posix.

	Arnd <><